Page MenuHomeFreeBSD

vt(4): Run vt_timer only when there's something to draw
ClosedPublic

Authored by dumbbell on Aug 24 2014, 7:34 PM.

Details

Reviewers
ray
emaste
Summary

The goal is to only schedule vt_timer when the screen needs a refresh.

Do you see missing places where the timer should be restarted?

Test Plan

I use the following DTrace script to see when the timer runs:

#!/usr/sbin/dtrace -s

#pragma D option quiet
#pragma D option bufsize=16m
#pragma D option dynvarsize=16m

fbt:kernel:vt_flush:entry
{
  printf(".");
}

Diff Detail

Repository
rS FreeBSD src repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

dumbbell updated this revision to Diff 1246.Aug 24 2014, 7:34 PM
dumbbell retitled this revision from to vt(4): Run vt_timer only when there's something to draw.
dumbbell updated this object.
dumbbell edited the test plan for this revision. (Show Details)
dumbbell added reviewers: emaste, ray.
ray edited edge metadata.Aug 26 2014, 11:28 AM

Agree, too.
Save world using less electric power :)

ray accepted this revision.Aug 26 2014, 12:03 PM
ray edited edge metadata.

Looks good!

This revision is now accepted and ready to land.Aug 26 2014, 12:03 PM
dumbbell closed this revision.Aug 27 2014, 1:19 PM

Thanks, committed in r270707!